﻿using Syncfusion.SfDiagram.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Newtonsoft.Json.Linq;
using Newtonsoft.Json;

namespace diagramsample
{
    public partial class MainPage : ContentPage
    {
        int count = 0;
        public MainPage()
        {
            InitializeComponent();
        }

        private async void Diagram_BeginNodeRender(object sender, Syncfusion.SfDiagram.XForms.BeginNodeRenderEventArgs args)
        {
            args.Item.Annotations.Add(new Annotation()
            {
                Content = await (AddNodeLabel())
            });
        }

        public async Task<string> AddNodeLabel()
        {
            return await Task.FromResult<string>("Node " + (count++).ToString());
        }
    }

    public class Employee
    {
        public string Team { get; set; }
        public string Role { get; set; }
        public int EmployeeId { get; set; }
    }

    //Employee Collection
    public class Employees : ObservableCollection<Employee>
    {
    }
}
